For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • POSTCreate a new environment object
      • DELDelete an environment object
      • POSTExclude linking an environment object
      • GETGet environment object
      • GETList environment objects
      • POSTUpdate an environment object
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceEnvironment

Get environment object

GET
https://api.astronomer.io/v1/organizations/:organizationId/environment-objects/:environmentObjectId
GET
/v1/organizations/:organizationId/environment-objects/:environmentObjectId
$curl https://api.astronomer.io/v1/organizations/organizationId/environment-objects/environmentObjectId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "objectKey": "prod_db_connection",
3 "objectType": "CONNECTION",
4 "scope": "WORKSPACE",
5 "scopeEntityId": "workspace-1234abcd5678efgh",
6 "airflowVariable": {
7 "isSecret": true,
8 "value": ""
9 },
10 "autoLinkDeployments": true,
11 "connection": {
12 "type": "Postgres",
13 "connectionAuthType": {
14 "airflowType": "basic",
15 "authMethodName": "Basic Authentication",
16 "description": "Standard HTTP Basic Authentication",
17 "id": "auth-basic-001",
18 "name": "Basic Auth",
19 "parameters": [
20 {
21 "airflowParamName": "username",
22 "dataType": "string",
23 "description": "The username for authentication",
24 "friendlyName": "Username",
25 "isInExtra": false,
26 "isRequired": true,
27 "isSecret": false,
28 "example": "admin_user",
29 "pattern": "^[a-zA-Z0-9_]+$"
30 },
31 {
32 "airflowParamName": "password",
33 "dataType": "string",
34 "description": "The password for authentication",
35 "friendlyName": "Password",
36 "isInExtra": false,
37 "isRequired": true,
38 "isSecret": true,
39 "example": "P@ssw0rd!",
40 "pattern": "^.{8,}$"
41 }
42 ],
43 "providerPackageName": "apache-airflow-providers-http",
44 "guidePath": "https://docs.astronomer.io/auth/basic-auth",
45 "providerLogo": "https://assets.astronomer.io/logos/basic-auth.png"
46 },
47 "extra": {
48 "timeout": 30,
49 "retries": 3
50 },
51 "host": "db.example.com",
52 "login": "dbadmin",
53 "password": "securePass123!",
54 "port": 5432,
55 "schema": "public"
56 },
57 "createdAt": "2024-05-20T10:15:30Z",
58 "createdBy": {
59 "id": "clm8qv74h000008mlf08scq7k",
60 "apiTokenName": "deployment-service-token",
61 "avatarUrl": "https://avatars.astronomer.io/users/janedoe.png",
62 "fullName": "Jane Doe",
63 "subjectType": "USER",
64 "username": "jane.doe@astronomer.io"
65 },
66 "excludeLinks": [
67 {
68 "scope": "DEPLOYMENT",
69 "scopeEntityId": "dep-1234567890abcdef"
70 }
71 ],
72 "id": "envobj-9876543210abcdef",
73 "links": [
74 {
75 "scope": "DEPLOYMENT",
76 "scopeEntityId": "dep-abcdef1234567890",
77 "airflowVariableOverrides": {
78 "value": "override_value_123"
79 },
80 "connectionOverrides": {
81 "extra": {
82 "sslmode": "require"
83 },
84 "host": "override-db.example.com",
85 "login": "override_user",
86 "password": "OverridePass!2024",
87 "port": 5433,
88 "schema": "override_schema",
89 "type": "Postgres"
90 },
91 "metricsExportOverrides": {
92 "authType": "BASIC",
93 "basicToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9",
94 "endpoint": "https://metrics.example.com/api/v1/metrics",
95 "exporterType": "PROMETHEUS",
96 "headers": {
97 "Authorization": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9"
98 },
99 "labels": {
100 "env": "staging",
101 "team": "data-engineering"
102 },
103 "password": "metricsPass2024",
104 "username": "metricsUser"
105 }
106 }
107 ],
108 "metricsExport": {
109 "endpoint": "https://metrics.astronomer.io/prometheus",
110 "exporterType": "PROMETHEUS",
111 "authType": "BASIC",
112 "basicToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9",
113 "headers": {
114 "Authorization": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9"
115 },
116 "labels": {
117 "environment": "production",
118 "service": "airflow"
119 },
120 "password": "prodMetricsPass!",
121 "username": "metricsAdmin"
122 },
123 "sourceScope": "WORKSPACE",
124 "sourceScopeEntityId": "workspace-1234abcd5678efgh",
125 "updatedAt": "2024-06-01T08:45:00Z",
126 "updatedBy": {
127 "id": "clm8qv74h000008mlf08scq7l",
128 "apiTokenName": "update-service-token",
129 "avatarUrl": "https://avatars.astronomer.io/users/johndoe.png",
130 "fullName": "John Doe",
131 "subjectType": "USER",
132 "username": "john.doe@astronomer.io"
133 }
134}
Retrieve details about an environment object.
Was this page helpful?
Previous

List environment objects

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to which the environment object belongs.
environmentObjectIdstringRequired
The environment object's ID.

Response

OK
objectKeystring
The key for the environment object
objectTypeenum
The type of environment object
Allowed values:
scopeenum
The scope of the environment object
Allowed values:
scopeEntityIdstring
The ID of the scope entity where the environment object is created
airflowVariableobject
autoLinkDeploymentsboolean
Whether or not to automatically link Deployments to the environment object
connectionobject
createdAtstring

The time when the environment object was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ

createdByobject
excludeLinkslist of objects
The excluded links for the environment object
idstring
The ID of the environment object
linkslist of objects
The Deployments linked to the environment object
metricsExportobject
sourceScopeenum
The source scope of the environment object, if it is resolved from a link
Allowed values:
sourceScopeEntityIdstring
The source scope entity ID of the environment object, if it is resolved from a link
updatedAtstring

The time when the environment object was updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ

updatedByobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
500
Internal Server Error